import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que representa el Contador de vidas del jugador
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (9/05/12)
 */
public class Contador extends Actor
{
    private String cad;     //cadena que indica lo que imprimira el contador
    /**
     * Constructor para la clase Contador
     * @param c cadena con el numero de vidas del jugador
     */
    public Contador(String c)
    {
        cad = c;
        this.setImage(new GreenfootImage(
                          " Vidas  "+c+" ",
                          30,java.awt.Color.WHITE,
                          java.awt.Color.BLACK));
    }
    /**
     * Metodo que actualiza el numero de vidas del contador 
     * @param c cadena con el nuevo numero de vidas del jugador
     */
    public void actualizaCont(String c)
    {
        cad = c;
        this.setImage(new GreenfootImage(
                           " Vidas  "+c+" "
                          ,30,java.awt.Color.WHITE
                          ,java.awt.Color.BLACK));
    }  
}
