import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase Cuchillas representa a las chuchillas que pueden matar al mono.
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (15/05/12)
 */
public class Cuchillas extends Obstaculo
{
    /**
     * Constructor de la clase Cuchillas
     * @param m Referencia al mono.
     */
    public Cuchillas(Mono m)
    {
        super(m);
    }
    
    /**
     * Checa que la interseccion con el mono.
     */
    public void act() 
    {
        mono = (Mono)getOneIntersectingObject(Mono.class);
        
    }
    
    /**
     * Ejecuta la accion para disminuir la vida del mono.
     */
    public void accion()
    {
        ((Escenario)this.getWorld()).disminuyeVidas();
    }
    
}
