import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que representa un segmento corto de Madera
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (9/05/12)
 */
public class MaderaCorta extends Piso
{
    /**
     * Constructor para la clase MaderaCorta
     * @param rotacion (true para inclinacion en el sentido contrareloj
     *                  false para inclinacion en el sentido reloj)
     * @param m referencia al mono
     */
    public MaderaCorta(boolean rotacion,Mono m)
    {
        super(rotacion,m);
    }
    /**
     * Constructor para la clase MaderaCorta
     * @param m referencia al mono
     */        
    public MaderaCorta(Mono m)
    {
        super(m);
    }


}
