import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que representa un segmento largo de pasto 
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (9/05/12)
 */
public class PastoLargo extends Piso
{
    /**
     * Constructor para la clase PastoLargo
     * @param rotacion (true para inclinacion en el sentido contrareloj
     *                  false para inclinacion en el sentido reloj)
     * @param m referencia al mono
     */
    public PastoLargo(boolean rotacion,Mono m)
    {
        super(rotacion, m);
    }
    /**
     * Constructor para la clase PastoLargo
     * @param m referencia al mono
     */
    public PastoLargo(Mono m)
    {
        super(m);
    }
    
}
