import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que representa un segmento corta de Piedra
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (9/05/12)
 */
public class PiedraCorta extends Piso
{
    /**
     * Constructor para la clase PiedraCorta
     * @param rotacion (true para inclinacion en el sentido contrareloj
     *                  false para inclinacion en el sentido reloj)
     * @param m referencia al mono
     */
    public PiedraCorta(boolean rotacion,Mono m)
    {
        super(rotacion, m);
    }
    /**
     * Constructor para la clase PiedraCorta
     * @param m referencia al mono
     */    
    public PiedraCorta(Mono m)
    {
        super(m);
    }  
}
