import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase Trampolin representa un trampolin que hace que el mono salte mas.
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (15/05/12)
 */
public class Trampolin extends Obstaculo
{
    /**
     * Constructor de la Clase Trampolin
     * @param m Referencia al mono.
     */
    public Trampolin(Mono m)
    {
        super(m);
    }
    
    /**
     * Metodo que hace que el mono se eleve al estar sobre el Trampolin
     */
    public void accion()
    {
        int ypatas = mono.getY()+mono.getImage().getHeight()/2+5;
        int ytrampo = this.getY()-this.getImage().getHeight()/2;
        if(ypatas > ytrampo && ypatas < this.getY())
        {
            mono.setLocation(mono.getX(),mono.getY()-35);
            mono.actualizaI(4);
            mono.accionActiva(true,false,false,false,false);
        }
    }
    
}
