import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que representa una lampara que ilumina un perimetro del jugador
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (9/05/12)
 */
public class Lampara extends Actor
{
    private Mono mono;      //referencia al mono

    /**
     * Constructor para la clase Lampara
     */
    public Lampara(Mono m)
    {
        mono = m;
    }
    /**
     * Se encarga de perseguir al mono
     * asignandole a la lampara el centro en el mono
     */
    public void act() 
    {
        this.setLocation(mono.getX(),mono.getY());
    }    
}
