import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


/**
 * Clase Menu representa todos los mensajes y botones de los menus mediante imagenes.
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (15/05/12)
 */
public class Menu extends Actor
{
    int ident; //identificador del menu.
    
    /**
     * Constructor de Menu
     * @param id Sirve para elegir el tipo de menu que se va a crear, con su imagen respectiva.
     */
    public Menu(int id)
    {
        ident=id;
        if(id==0)
        {
            this.setImage("juego.PNG");
        }
        if(id==1)
        {
            this.setImage("Instrucciones.PNG");
        }
        if(id==2)
        {
            this.setImage("Créditos.PNG");
        }
        
        if(id==3)
        {
            this.setImage("Instrucc1.png");
        }
        
        if(id==4)
        {
            this.setImage("Instrucc2.png");
        }
        
        if(id==5)
        {
            this.setImage("Botonsig.png");
        }
        
        if(id==6)
        {
            this.setImage("Botonatr.png");
        }
        
        if(id==7)
        {
            this.setImage("Menu.png");
        }
        
        if(id==8)
        {
            this.setImage("Creditos.png");
        }
        
        if(id==9)
        {
            this.setImage("titulo.png");
        }
        
    }
    
    /**
     * Checa si el boton fue presionado para cambiar de escenario.
     */
    public void act() 
    {
        if(Greenfoot.mouseClicked(this)&&ident==0)
        {
            ((Escenario)this.getWorld()).cambiaEscenario(0);
        }
        
        if(Greenfoot.mouseClicked(this)&&ident==1)
        {
            ((Escenario)this.getWorld()).instrucciones(0);
        }
        
        if(Greenfoot.mouseClicked(this)&&ident==2)
        {
            ((Escenario)this.getWorld()).poneCreditos();
        }
        
        if(Greenfoot.mouseClicked(this)&&ident==5)
        {
            ((Escenario)this.getWorld()).instrucciones(1);
        }
        
        if(Greenfoot.mouseClicked(this)&&ident==6)
        {
            ((Escenario)this.getWorld()).instrucciones(0);
        }
        
        if(Greenfoot.mouseClicked(this)&&ident==7)
        {
            ((Escenario)this.getWorld()).cambiaEscenario(4);
        }
    }    
}
