import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase abstracta Obstaculo representa un obstaculo en el escenario
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (9/05/12)
 */
public abstract class Obstaculo extends Actor
{
    protected Mono mono;        //referencia al mono
    
    /**
     * Constructor para la clase Obstaculo
     * @param m referencia al mono
     */
    public Obstaculo(Mono m)
    {
        mono = m;
    }
    /**
     * Metodo que implementaran los obstaculos para interactuar con el mono
     */
    public abstract void accion();
}
