import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Clase que representa un segmento corto de pasto 
 * 
 * @author (Programacion Orientada A Objetos - Gonzalez Donat - Neri Andriano) 
 * @version (9/05/12)
 */
public class PastoCorto extends Piso
{
    /**
     * Constructor para la clase PastoCorto
     * @param rotacion (true para inclinacion en el sentido contrareloj
     *                  false para inclinacion en el sentido reloj)
     * @param m referencia al mono
     */
    public PastoCorto(boolean rotacion,Mono m)
    {
        super(rotacion,m);
    }
    /**
     * Constructor para la clase PastoCorto
     * @param m referencia al mono
     */
    public PastoCorto(Mono m)
    {
        super(m);
    }
}
